Page MenuHomePhabricator

LuaWikibaseEntityLibraryTest: CI failing en masse
Closed, ResolvedPublicBUG REPORT

Description

LuaWikibaseEntityLibraryTest started to fail en masse in CI

e.g.

LuaSandbox: Wikibase\Client\Tests\DataAccess\Scribunto\Scribunto_LuaWikibaseEntityLibraryTest::testGetLanguageCode

in https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-hhvm-docker/68982/

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptSep 2 2019, 11:01 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 533888 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Revert "Reset $wgContLang consistently for tests"

https://gerrit.wikimedia.org/r/533888

Ladsgroup triaged this task as Unbreak Now! priority.Sep 2 2019, 11:04 AM

Can't merge anything on Wikibase = UBN

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptSep 2 2019, 11:04 AM

https://gerrit.wikimedia.org/r/c/mediawiki/core/+/533510 did some follow-up work around the reverted change - pulling in Lucas to be on the safe side.

Change 533888 merged by jenkins-bot:
[mediawiki/core@master] Revert "Reset $wgContLang consistently for tests"

https://gerrit.wikimedia.org/r/533888

daniel added a subscriber: daniel.Sep 2 2019, 1:50 PM

@Ladsgroup any chance to fix the problematic tests in Wikibase?

I'd like to create a revert of the revert, but it should be blocked on the patch that fixes the wikibase tests...

Are you sure that it’s the Wikibase tests that are problematic? The core change could also be incomplete.

daniel added a comment.Sep 2 2019, 2:46 PM

Are you sure that it’s the Wikibase tests that are problematic? The core change could also be incomplete.

Could be. I was hoping someone on the Wikidata team might know why this fails, and how to avoid that ;) I guess this needs investigation.

pinging @Krinkle and @Simetrical for the original patch.

Well, I fixed the original failures with a core change, and then another core change broke them again, so I think it’s more likely that the second core change is broken/incomplete (e. g. perhaps there’s some other global it doesn’t set). But I haven’t looked into this in detail yet.

Change 533943 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/core@master] Revert "Revert "Reset $wgContLang consistently for tests""

https://gerrit.wikimedia.org/r/533943

Change 533944 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] No-op to test T231799

https://gerrit.wikimedia.org/r/533944

Pablo-WMDE lowered the priority of this task from Unbreak Now! to Medium.Sep 6 2019, 9:08 AM

Is anyone still working on this? E.g. https://gerrit.wikimedia.org/r/533944 is still dangling...

Well, https://gerrit.wikimedia.org/r/533944 showed that https://gerrit.wikimedia.org/r/533943 doesn’t work properly, and we didn’t decide on a correct fix yet (see Gerrit comments).

Edit: I’m not currently working on this.

alaa_wmde removed Lucas_Werkmeister_WMDE as the assignee of this task.EditedSep 6 2019, 12:01 PM
alaa_wmde added a subscriber: alaa_wmde.

Per:

Edit: I’m not currently working on this.

If anoyone is or will be working on this, pls assign yourself and move it into doing.

Krinkle removed a subscriber: Krinkle.

As I understand it, the problematic core commit has been reverted and Wikibase is unblocked. The commit in question (https://gerrit.wikimedia.org/r/533729), while nice, does not appear to be urgently needed and is not relied upon. So this seems closable as far as I know.

If and when that core change is reconsidered by CPT, this use case will need to be taken into account.

Change 533944 abandoned by Lucas Werkmeister (WMDE):
No-op to test T231799

https://gerrit.wikimedia.org/r/533944

Lucas_Werkmeister_WMDE closed this task as Resolved.Oct 21 2019, 11:40 AM
Lucas_Werkmeister_WMDE claimed this task.

Okay, then let’s close this, I guess, and hope that the next attempt at this core change will test its impact on Wikibase before merging.

How am I supposed to test its impact on Wikibase before merging? How can I run Wikibase tests on a patch I'm submitting to core, if they aren't run automatically?

Anomie added a subscriber: Anomie.Oct 22 2019, 4:46 PM

If you need to, you can submit a dummy patch against Wikibase with a Depends-On for the core patch to get the tests to run. See https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/+/497443 for example.

How am I supposed to test its impact on Wikibase before merging? How can I run Wikibase tests on a patch I'm submitting to core, if they aren't run automatically?

CI runs the PHPUnit, QUnit, and Selenium tests for Wikibase (and ~30 other repos, defined in CI config) on every patch in MediaWiki core (and other repos) automatically. The first two are covered in the job currently called "wmf-quibble-core-vendor-mysql-php72-docker", and the final one has been split out into "wmf-quibble-selenium-php72-docker" (but names can change as we try to make the testing system faster for everyone).

Maintenance_bot moved this task from In progress to Done on the User-Ladsgroup board.

It runs them a while after the patch is already merged, or what? It doesn't seem to run them every time a new changeset is submitted to Gerrit, nor in gate-and-submit, nor in the post-merge run that Jenkins reports. Those are the test runs I see in practice.

It runs them a while after the patch is already merged, or what? It doesn't seem to run them every time a new changeset is submitted to Gerrit, nor in gate-and-submit, nor in the post-merge run that Jenkins reports. Those are the test runs I see in practice.

It runs them blocking every patch, in test and in gate-and-submit.

However, it doesn't run with Scribunto, and those tests disable themselves when Scribunto is missing. See T125050: [Task] Add Scribunto to extension-gate in CI for why it's not in the gate.

Change 533943 merged by jenkins-bot:
[mediawiki/core@master] tests: Reset $wgContLang consistently in PHPUnit tests (take 2)

https://gerrit.wikimedia.org/r/533943